> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Auth Providers



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/auth-providers
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/auth-providers:
    get:
      tags:
        - admin:auth-providers
      summary: Get Auth Providers
      operationId: get_auth_providers_api_v1_admin_auth_providers_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_AuthProvidersOut_'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_AuthProvidersOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/AuthProvidersOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[AuthProvidersOut]
    AuthProvidersOut:
      properties:
        google_enabled:
          type: boolean
          title: Google Enabled
        google_client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Client Id
        has_google_secret:
          type: boolean
          title: Has Google Secret
        apple_enabled:
          type: boolean
          title: Apple Enabled
        apple_services_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Apple Services Id
        apple_team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Apple Team Id
        apple_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Apple Key Id
        has_apple_key:
          type: boolean
          title: Has Apple Key
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - google_enabled
        - google_client_id
        - has_google_secret
        - apple_enabled
        - apple_services_id
        - apple_team_id
        - apple_key_id
        - has_apple_key
        - updated_at
      title: AuthProvidersOut
      description: Admin view — public fields + `has_*` for secrets (never the secrets).
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.